Index: branches/single_player_map/src/lib/graphics/importer/bsp_file.cc
===================================================================
--- branches/single_player_map/src/lib/graphics/importer/bsp_file.cc	(revision 8892)
+++ branches/single_player_map/src/lib/graphics/importer/bsp_file.cc	(revision 8893)
@@ -214,8 +214,8 @@
     bspFile.read(this->visData, size);
 
-    PRINTF(0)("BSP FILE: VisDataSize: %i Bytes. \n", size);
-    PRINTF(0)("BSP FILE: NumVisData: %i. \n", size /1 - 8);
-    PRINTF(0)("BSP FILE: Remainder: %i. \n", size % 1);
-    PRINTF(0)("BSP FILE: VisDataOffset: %i. \n", offset);
+    PRINTF(4)("BSP FILE: VisDataSize: %i Bytes. \n", size);
+    PRINTF(4)("BSP FILE: NumVisData: %i. \n", size /1 - 8);
+    PRINTF(4)("BSP FILE: Remainder: %i. \n", size % 1);
+    PRINTF(4)("BSP FILE: VisDataOffset: %i. \n", offset);
 
     // Get the Textures
@@ -298,5 +298,5 @@
     this->VertexArrayModels  = new VertexArrayModel*[this->numPatches];
 
-    PRINTF(0)("BSP FILE:NumberOfPatches: %i . \n", numPatches);
+    PRINTF(4)("BSP FILE:NumberOfPatches: %i . \n", numPatches);
 
     this->swapAllBspCoordinates();
@@ -308,9 +308,9 @@
     }
 
-    PRINTF(0)("BSP FILE:PatchOffset: %i . \n", this->patchOffset);
+    PRINTF(4)("BSP FILE:PatchOffset: %i . \n", this->patchOffset);
 
     return  1;
   } else {
-    PRINTF(0)("BSP FILE: Datei nicht gefunden. \n");
+    PRINTF(4)("BSP FILE: Datei nicht gefunden. \n");
     return -1;
   }
@@ -323,13 +323,13 @@
 {
 
-  PRINTF(0)("BSP FILE:\n");
-  PRINTF(0)("BSP FILE: Building Tree...\n");
+  PRINTF(4)("BSP FILE:\n");
+  PRINTF(4)("BSP FILE: Building Tree...\n");
   root = this->build_tree_rec(0);
-  PRINTF(0)("BSP FILE: ...done. \n");
-  PRINTF(0)("BSP FILE:  \n");
-  PRINTF(0)("BSP FILE: Node #0: \n");
-  PRINTF(0)("BSP FILE:  x: %f \n",root->plane.x);
-  PRINTF(0)("BSP FILE:  y: %f\n",root->plane.y);
-  PRINTF(0)("BSP FILE:  z: %f\n",root->plane.z);
+  PRINTF(4)("BSP FILE: ...done. \n");
+  PRINTF(4)("BSP FILE:  \n");
+  PRINTF(4)("BSP FILE: Node #0: \n");
+  PRINTF(4)("BSP FILE:  x: %f \n",root->plane.x);
+  PRINTF(4)("BSP FILE:  y: %f\n",root->plane.y);
+  PRINTF(4)("BSP FILE:  z: %f\n",root->plane.z);
 }
 
@@ -400,5 +400,5 @@
   this->Materials = new AMat[this->numTextures];
   for(int i = 0 ; i < this->numTextures; i++) {
-    PRINTF(0)("BSP FILE: Texture : %s. \n", &this->textures[8+ 72*i]);
+    PRINTF(4)("BSP FILE: Texture : %s. \n", &this->textures[8+ 72*i]);
 
 
@@ -429,10 +429,10 @@
     strncat (fileName, ext, strlen(fileName) );
 
-    PRINTF(0)("BSP FILE: Name %s . \n", fileName);
+    PRINTF(4)("BSP FILE: Name %s . \n", fileName);
 
     absFileName = ResourceManager::getFullName(fileName);
 
     if(File(absFileName).exists()) {
-      PRINTF(0)("BSP FILE: gefunden . \n");
+      PRINTF(4)("BSP FILE: gefunden . \n");
       this->Materials[i] = this->loadAVI(fileName);
       continue;
@@ -449,5 +449,5 @@
 
     if(File(absFileName).exists()) {
-      PRINTF(0)("BSP FILE: gefunden . \n");
+      PRINTF(4)("BSP FILE: gefunden . \n");
       this->Materials[i] = this->loadAVI(fileName);
       continue;
@@ -479,5 +479,5 @@
 
     if(File(absFileName).exists()) {
-      PRINTF(0)("BSP FILE: gefunden . \n");
+      PRINTF(4)("BSP FILE: gefunden . \n");
       this->Materials[i] = this->loadMat(fileName);
       continue;
@@ -492,5 +492,5 @@
 
     if(File(absFileName).exists()/*stat( absFileName.c_str() , &results) == 0*/) {
-      PRINTF(0)("BSP FILE: gefunden . \n");
+      PRINTF(4)("BSP FILE: gefunden . \n");
       this->Materials[i] = this->loadMat(fileName);
       continue;
@@ -504,5 +504,5 @@
     absFileName = ResourceManager::getFullName(fileName);
     if(File(absFileName).exists()) {
-      PRINTF(0)("BSP FILE: gefunden . \n");
+      PRINTF(4)("BSP FILE: gefunden . \n");
       this->Materials[i] =this->loadMat(fileName);
       continue;
@@ -518,5 +518,5 @@
     absFileName = ResourceManager::getFullName(fileName);
     if(File(absFileName).exists()) {
-      PRINTF(0)("BSP FILE: gefunden . \n");
+      PRINTF(4)("BSP FILE: gefunden . \n");
       this->Materials[i] =this->loadMat(fileName);
       continue;
@@ -534,5 +534,5 @@
 
     if(File(absFileName).exists()) {
-      PRINTF(0)("BSP FILE: gefunden . \n");
+      PRINTF(4)("BSP FILE: gefunden . \n");
       this->Materials[i] =this->loadMat(fileName);
       continue;
@@ -548,10 +548,10 @@
 
     if(File(absFileName).exists()) {
-      PRINTF(0)("BSP FILE: gefunden . \n");
+      PRINTF(4)("BSP FILE: gefunden . \n");
       this->Materials[i] = this->loadMat(fileName);
       continue;
     }
 
-
+    PRINTF(0)("BSP FILE: Textur %s nicht  gefunden . \n", &this->textures[8+72*i]);
     //  Default Material
     this->Materials[i].mat = new Material();
@@ -1012,6 +1012,6 @@
   Face->meshvert = patchOffset -sz;  //3*(patchOffset-sz)*level1*level1;
   Face->n_meshverts = sz;
-  PRINTF(0)("BSP FILE: sz: %i. \n", sz);
-  PRINTF(0)("BSP FILE: Face->meshvert %i . \n", Face->meshvert);
+  PRINTF(4)("BSP FILE: sz: %i. \n", sz);
+  PRINTF(4)("BSP FILE: Face->meshvert %i . \n", Face->meshvert);
 
   //Face->n_meshverts = sz;