Index: /branches/mountain_lake/src/lib/graphics/effects/cloud_effect.cc
===================================================================
--- /branches/mountain_lake/src/lib/graphics/effects/cloud_effect.cc	(revision 8902)
+++ /branches/mountain_lake/src/lib/graphics/effects/cloud_effect.cc	(revision 8903)
@@ -75,5 +75,5 @@
 {
   PRINTF(0)("Initializing CloudEffect\n");
-  
+
   this->offsetZ = 0;
   this->animationSpeed = 2;
@@ -183,9 +183,9 @@
     this->shader->activateShader();
     this->offset->set(0.0f, 0.0f, offsetZ);
-    
+
     if(cloudColor != newCloudColor)
     {
       if(fadeCloud)
-      { 
+      {
         this->cloudColorFadeX = new tAnimation<CloudEffect>(this, &CloudEffect::setColorCloudX);
         this->cloudColorFadeX->setInfinity(ANIM_INF_CONSTANT);
@@ -194,28 +194,28 @@
         this->cloudColorFadeZ = new tAnimation<CloudEffect>(this, &CloudEffect::setColorCloudZ);
         this->cloudColorFadeZ->setInfinity(ANIM_INF_CONSTANT);
-        
+
         this->cloudColorFadeX->addKeyFrame(cloudColor.x, fadeTime, ANIM_LINEAR);
         this->cloudColorFadeX->addKeyFrame(newCloudColor.x, 0, ANIM_LINEAR);
-  
+
         this->cloudColorFadeY->addKeyFrame(cloudColor.y, fadeTime, ANIM_LINEAR);
         this->cloudColorFadeY->addKeyFrame(newCloudColor.y, 0, ANIM_LINEAR);
-  
+
         this->cloudColorFadeZ->addKeyFrame(cloudColor.z, fadeTime, ANIM_LINEAR);
         this->cloudColorFadeZ->addKeyFrame(newCloudColor.z, 0, ANIM_LINEAR);
-        
+
         fadeCloud = false;
-        
+
         this->cloudColorFadeX->replay();
         this->cloudColorFadeY->replay();
         this->cloudColorFadeZ->replay();
       }
-      
+
       this->cloudcolor->set(this->cloudColor.x, this->cloudColor.y, this->cloudColor.z);
     }
 
     if(skyColor != newSkyColor)
-    { 
+    {
       if(fadeSky)
-      { 
+      {
         this->skyColorFadeX = new tAnimation<CloudEffect>(this, &CloudEffect::setColorSkyX);
         this->skyColorFadeX->setInfinity(ANIM_INF_CONSTANT);
@@ -224,24 +224,24 @@
         this->skyColorFadeZ = new tAnimation<CloudEffect>(this, &CloudEffect::setColorSkyZ);
         this->skyColorFadeZ->setInfinity(ANIM_INF_CONSTANT);
-        
+
         this->skyColorFadeX->addKeyFrame(skyColor.x, fadeTime, ANIM_LINEAR);
         this->skyColorFadeX->addKeyFrame(newSkyColor.x, 0, ANIM_LINEAR);
-  
+
         this->skyColorFadeY->addKeyFrame(skyColor.y, fadeTime, ANIM_LINEAR);
         this->skyColorFadeY->addKeyFrame(newSkyColor.y, 0, ANIM_LINEAR);
-  
+
         this->skyColorFadeZ->addKeyFrame(skyColor.z, fadeTime, ANIM_LINEAR);
         this->skyColorFadeZ->addKeyFrame(newSkyColor.z, 0, ANIM_LINEAR);
-        
+
         fadeSky = false;
-        
+
         this->skyColorFadeX->replay();
         this->skyColorFadeY->replay();
         this->skyColorFadeZ->replay();
       }
-      
+
       this->skycolor->set(this->skyColor.x, this->skyColor.y, this->skyColor.z);
     }
-    
+
     this->shader->deactivateShader();
   }
Index: /branches/mountain_lake/src/world_entities/skydome.cc
===================================================================
--- /branches/mountain_lake/src/world_entities/skydome.cc	(revision 8902)
+++ /branches/mountain_lake/src/world_entities/skydome.cc	(revision 8903)
@@ -1,12 +1,12 @@
 /*
    orxonox - the future of 3D-vertical-scrollers
-
+ 
    Copyright (C) 2006 orx
-
+ 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
-
+ 
 ### File Specific:
    main-programmer: hdavid, amaechler
@@ -43,9 +43,9 @@
 {
   PRINTF(0)("Skydome init\n");
-  
+
   this->setClassID(CL_SKYDOME, "Skydome");
   this->toList(OM_BACKGROUND);
-  this->toReflectionList(); 
-  
+  this->toReflectionList();
+
 }
 
@@ -57,5 +57,5 @@
 {
   PRINTF(0)("Deleting Skydome\n");
-  
+
   if (glIsTexture(texture))
     glDeleteTextures(1, &texture);
@@ -88,5 +88,5 @@
   glPushMatrix();
   glTranslatef(0.0f,pRadius,0.0f);
-  
+
 
   glBegin(GL_TRIANGLES);
@@ -115,24 +115,24 @@
 
   // Make sure our vertex array is clear
-//   if (planeVertices)
-//   {
-//     delete planeVertices;
-//     planeVertices = NULL;
-//   }
+  if (planeVertices)
+  {
+    delete planeVertices;
+    planeVertices = NULL;
+  }
 
   // Make sure our index array is clear
-//   if (indices)
-//   {
-//     delete indices;
-//     indices = NULL;
-//   }
+  if (indices)
+  {
+    delete indices;
+    indices = NULL;
+  }
 
   // Set the number of divisions into a valid range
   int divs = divisions;
-  if (divisions < 1) 
+  if (divisions < 1)
     divs = 1;
 
-  if (divisions > 256) 
-    divs = 256; 
+  if (divisions > 256)
+    divs = 256;
 
   pRadius = planetRadius;
@@ -152,5 +152,5 @@
   float delta = plane_size/(float)divs;
   float tex_delta = 2.0f/(float)divs;
-  
+
   // Variables we'll use during the dome's generation
   float x_dist   = 0.0f;
@@ -193,5 +193,5 @@
       int startvert = (i*(divs+1) + j);
 
-        // tri 1
+      // tri 1
       indices[index++] = startvert;
       indices[index++] = startvert+1;
@@ -203,4 +203,4 @@
       indices[index++] = startvert+divs+1;
     }
-  }  
-}
+  }
+}