Index: branches/mountain_lake/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- branches/mountain_lake/src/lib/graphics/effects/fog_effect.cc	(revision 8903)
+++ branches/mountain_lake/src/lib/graphics/effects/fog_effect.cc	(revision 8905)
@@ -103,5 +103,5 @@
  */
 void FogEffect::activate() {
-    PRINTF(0)( "Activating FogEffect\n");
+    PRINTF(3)( "Activating FogEffect\n");
 
     // init fogGL
@@ -123,5 +123,5 @@
  */
 void FogEffect::deactivate() {
-    PRINTF(0)("Deactivating FogEffect\n");
+    PRINTF(3)("Deactivating FogEffect\n");
 
     this->fogFadeInActivate = false;
Index: branches/mountain_lake/src/lib/graphics/effects/lense_flare.cc
===================================================================
--- branches/mountain_lake/src/lib/graphics/effects/lense_flare.cc	(revision 8903)
+++ branches/mountain_lake/src/lib/graphics/effects/lense_flare.cc	(revision 8905)
@@ -64,5 +64,5 @@
 
     this->lightSource = (LightManager::getInstance())->getLight(0);
-    PRINTF(0)("light is: %p\n", this->lightSource);
+    PRINTF(4)("light is: %p\n", this->lightSource);
 
     if (root != NULL) {
Index: branches/mountain_lake/src/lib/graphics/effects/lightning_effect.cc
===================================================================
--- branches/mountain_lake/src/lib/graphics/effects/lightning_effect.cc	(revision 8903)
+++ branches/mountain_lake/src/lib/graphics/effects/lightning_effect.cc	(revision 8905)
@@ -158,5 +158,5 @@
 
 void LightningEffect::activate() {
-    PRINTF(0)( "Activating LightningEffect\n" );
+    PRINTF(3)( "Activating LightningEffect\n" );
     this->lightningActivate = true;
 
@@ -166,5 +166,5 @@
 
 void LightningEffect::deactivate() {
-    PRINTF(0)("Deactivating LightningEffect\n");
+    PRINTF(3)("Deactivating LightningEffect\n");
     this->lightningActivate = false;
 
Index: branches/mountain_lake/src/lib/graphics/effects/rain_effect.cc
===================================================================
--- branches/mountain_lake/src/lib/graphics/effects/rain_effect.cc	(revision 8903)
+++ branches/mountain_lake/src/lib/graphics/effects/rain_effect.cc	(revision 8905)
@@ -1,15 +1,17 @@
 /*
   orxonox - the future of 3D-vertical-scrollers
- 
+
   Copyright (C) 2004 orx
- 
+
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
- 
+
 ### File Specific:
   main-programmer: hdavid, amaechler
 */
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GRAPHICS
 
 #include "rain_effect.h"
@@ -43,45 +45,41 @@
  * @brief standard constructor
  */
-RainEffect::RainEffect(const TiXmlElement* root)
-{
-  this->setClassID(CL_RAIN_EFFECT, "RainEffect");
-
-  this->init();
-
-  if (root != NULL)
-    this->loadParams(root);
-
-  //load rain sound
-  if (this->rainBuffer != NULL)
-    ResourceManager::getInstance()->unload(this->rainBuffer);
-  this->rainBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/atmosphere/rain.wav", WAV);
-
-  //load wind sound
-  if (this->rainWindForce != 0)
-  {
+RainEffect::RainEffect(const TiXmlElement* root) {
+    this->setClassID(CL_RAIN_EFFECT, "RainEffect");
+
+    this->init();
+
+    if (root != NULL)
+        this->loadParams(root);
+
+    //load rain sound
+    if (this->rainBuffer != NULL)
+        ResourceManager::getInstance()->unload(this->rainBuffer);
+    this->rainBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/atmosphere/rain.wav", WAV);
+
+    //load wind sound
+    if (this->rainWindForce != 0) {
+        if (this->windBuffer != NULL)
+            ResourceManager::getInstance()->unload(this->windBuffer);
+        this->windBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/atmosphere/wind.wav", WAV);
+    }
+
+    if(rainActivate) {
+        this->activate();
+        RainEffect::rainParticles->precache((int)this->rainLife * 2);
+    }
+}
+
+/**
+ * @brief standard deconstructor
+ */
+RainEffect::~RainEffect() {
+    this->deactivate();
+
+    if (this->rainBuffer != NULL)
+        ResourceManager::getInstance()->unload(this->rainBuffer);
+
     if (this->windBuffer != NULL)
-      ResourceManager::getInstance()->unload(this->windBuffer);
-    this->windBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/atmosphere/wind.wav", WAV);
-  }
-
-  if(rainActivate)
-  {
-    this->activate();
-    RainEffect::rainParticles->precache((int)this->rainLife * 2);
-  }
-}
-
-/**
- * @brief standard deconstructor
- */
-RainEffect::~RainEffect()
-{
-  this->deactivate();
-
-  if (this->rainBuffer != NULL)
-    ResourceManager::getInstance()->unload(this->rainBuffer);
-
-  if (this->windBuffer != NULL)
-    ResourceManager::getInstance()->unload(this->windBuffer);
+        ResourceManager::getInstance()->unload(this->windBuffer);
 }
 
@@ -89,28 +87,28 @@
  * @brief initalizes the rain effect with default values
  */
-void RainEffect::init()
-{
-  //Default values
-  this->rainActivate = false;
-  this->rainMove = false;
-  this->rainCoord = Vector(500, 500, 500);
-  this->rainSize = Vector2D(1000, 1000);
-  this->rainRate = 4000;
-  this->rainVelocity = -300;
-  this->rainLife = 4;
-  this->rainWindForce  = 0;
-  this->rainFadeInDuration = 0;
-  this->rainFadeOutDuration = 0;
-  
-  this->cloudColor = Vector(0.6f, 0.6f, 0.6f);
-  this->skyColor = Vector(0.0f, 0.0f, 0.0f);
-
-  this->rainMaxParticles = this->rainRate * this->rainLife;
-  this->localTimer = 0;
-  this->soundRainVolume = 0.3f;
-  this->emitter = new PlaneEmitter(this->rainSize);
-
-  lightMan = LightManager::getInstance();
-  this->rainAmbient = lightMan->getAmbientColor();
+void RainEffect::init() {
+    //Default values
+    this->rainActivate = false;
+    this->rainFadeInActivate = false;
+    this->rainFadeOutActivate = false;
+
+    this->rainMove = false;
+    this->rainCoord = Vector(500, 500, 500);
+    this->rainSize = Vector2D(1000, 1000);
+    this->rainRate = 4000;
+    this->rainVelocity = -300;
+    this->rainLife = 4;
+    this->rainWindForce  = 0;
+    this->rainFadeInDuration = 10;
+    this->rainFadeOutDuration = 10;
+
+    this->cloudColor = Vector(0.6f, 0.6f, 0.6f);
+    this->skyColor = Vector(0.0f, 0.0f, 0.0f);
+
+    this->rainMaxParticles = this->rainRate * this->rainLife;
+    this->localTimer = 0;
+    this->soundRainVolume = 0.3f;
+    this->emitter = new PlaneEmitter(this->rainSize);
+
 }
 
@@ -119,24 +117,23 @@
  * @param root: the XML-Element to load the data from
  */
-void RainEffect::loadParams(const TiXmlElement* root)
-{
-  WeatherEffect::loadParams(root);
-
-  LoadParam(root, "coord", this, RainEffect, setRainCoord);
-  LoadParam(root, "size", this, RainEffect, setRainSize);
-  LoadParam(root, "rate", this, RainEffect, setRainRate);
-  LoadParam(root, "velocity", this, RainEffect, setRainVelocity);
-  LoadParam(root, "life", this, RainEffect, setRainLife);
-  LoadParam(root, "wind", this, RainEffect, setRainWind);
-  LoadParam(root, "fadeinduration", this, RainEffect, setRainFadeIn);
-  LoadParam(root, "fadeoutduration", this, RainEffect, setRainFadeOut);
-  LoadParam(root, "cloudcolor", this, RainEffect, setCloudColor);
-  LoadParam(root, "skycolor", this, RainEffect, setSkyColor);
-
-  LOAD_PARAM_START_CYCLE(root, element);
-  {
-    LoadParam_CYCLE(element, "option", this, RainEffect, setRainOption);
-  }
-  LOAD_PARAM_END_CYCLE(element);
+void RainEffect::loadParams(const TiXmlElement* root) {
+    WeatherEffect::loadParams(root);
+
+    LoadParam(root, "coord", this, RainEffect, setRainCoord);
+    LoadParam(root, "size", this, RainEffect, setRainSize);
+    LoadParam(root, "rate", this, RainEffect, setRainRate);
+    LoadParam(root, "velocity", this, RainEffect, setRainVelocity);
+    LoadParam(root, "life", this, RainEffect, setRainLife);
+    LoadParam(root, "wind", this, RainEffect, setRainWind);
+    LoadParam(root, "fadeinduration", this, RainEffect, setRainFadeIn);
+    LoadParam(root, "fadeoutduration", this, RainEffect, setRainFadeOut);
+    LoadParam(root, "cloudcolor", this, RainEffect, setCloudColor);
+    LoadParam(root, "skycolor", this, RainEffect, setSkyColor);
+
+    LOAD_PARAM_START_CYCLE(root, element);
+    {
+        LoadParam_CYCLE(element, "option", this, RainEffect, setRainOption);
+    }
+    LOAD_PARAM_END_CYCLE(element);
 }
 
@@ -146,44 +143,43 @@
  * @brief activates the rain effect
  */
-void RainEffect::activate()
-{
-  PRINTF(0)( "Activating RainEffect, coord: %f, %f, %f, size: %f, %f, rate: %f, velocity: %f, moveRain: %s\n", this->rainCoord.x, this->rainCoord.y, this->rainCoord.z, this->rainSize.x, this-> rainSize.y, this->rainRate, this->rainVelocity, this->rainMove ? "true" : "false" );
-
-  this->rainActivate = true;
-
-  if (unlikely(RainEffect::rainParticles == NULL))
-  {
-    RainEffect::rainParticles = new SparkParticles((int) this->rainMaxParticles);
-    RainEffect::rainParticles->setName("RainParticles");
-    RainEffect::rainParticles->setLifeSpan(this->rainLife, 2);
-    RainEffect::rainParticles->setRadius(0, 0.03);
-    RainEffect::rainParticles->setRadius(0.2, 0.02);
-    RainEffect::rainParticles->setRadius(1, 0.01);
-    RainEffect::rainParticles->setColor(0, 0.3, 0.3, 0.5, 0.2); // grey blue 1
-    RainEffect::rainParticles->setColor(0.5, 0.4, 0.4, 0.5, 0.2); // grey blue 2
-    RainEffect::rainParticles->setColor(1, 0.7, 0.7, 0.7, 0.2); // light grey
-  }
-
-  this->emitter->setSystem(RainEffect::rainParticles);
-
-  this->emitter->setRelCoor(this->rainCoord);
-
-  this->emitter->setEmissionRate(this->rainRate);
-  this->emitter->setEmissionVelocity(this->rainVelocity);
-
-  this->emitter->setSpread(this->rainWindForce / 50, 0.2);
-
-  // plays the rain sound and loops it 
-  this->soundSource.play(this->rainBuffer, this->soundRainVolume, true);
-
-  // if there is wind, play the wind sound
-  if (this->rainWindForce != 0)
-    this->soundSource.play(this->windBuffer, 0.1f * this->rainWindForce, true);
-  
-  // Change the cloudcolor,skycolor
-  this->oldCloudColor = CloudEffect::cloudColor;
-  this->oldSkyColor = CloudEffect::skyColor;
-  CloudEffect::changeCloudColor(this->cloudColor, this->rainFadeInDuration);
-  CloudEffect::changeSkyColor(this->skyColor, this->rainFadeInDuration);
+void RainEffect::activate() {
+    PRINTF(3)( "Activating RainEffect, coord: %f, %f, %f, size: %f, %f, rate: %f, velocity: %f, moveRain: %s\n", this->rainCoord.x, this->rainCoord.y, this->rainCoord.z, this->rainSize.x, this-> rainSize.y, this->rainRate, this->rainVelocity, this->rainMove ? "true" : "false" );
+
+    this->rainActivate = true;
+
+    if (unlikely(RainEffect::rainParticles == NULL)) {
+        RainEffect::rainParticles = new SparkParticles((int) this->rainMaxParticles);
+        RainEffect::rainParticles->setName("RainParticles");
+        RainEffect::rainParticles->setLifeSpan(this->rainLife, 2);
+        RainEffect::rainParticles->setRadius(0, 0.03);
+        RainEffect::rainParticles->setRadius(0.2, 0.02);
+        RainEffect::rainParticles->setRadius(1, 0.01);
+        RainEffect::rainParticles->setColor(0, 0.3, 0.3, 0.5, 0.2);   // grey blue 1
+        RainEffect::rainParticles->setColor(0.5, 0.4, 0.4, 0.5, 0.2); // grey blue 2
+        RainEffect::rainParticles->setColor(1, 0.7, 0.7, 0.7, 0.2);   // light grey
+    }
+
+    this->emitter->setSystem(RainEffect::rainParticles);
+    this->emitter->setRelCoor(this->rainCoord);
+    this->emitter->setEmissionRate(this->rainRate);
+    this->emitter->setEmissionVelocity(this->rainVelocity);
+    this->emitter->setSpread(this->rainWindForce / 50, 0.2);
+
+    // play rain sound and loop it
+    this->soundSource.play(this->rainBuffer, this->soundRainVolume, true);
+
+    // if there's wind, play wind sound
+    if (this->rainWindForce > 0)
+        this->soundSource.play(this->windBuffer, 0.1f * this->rainWindForce, true);
+
+    // Store cloud- and sky color before the rain;
+    this->oldCloudColor = CloudEffect::cloudColor;
+    this->oldSkyColor   = CloudEffect::skyColor;
+
+    // If we're not fading, change color immediately
+    if (!this->rainFadeInActivate || !this->rainFadeOutActivate) {
+        CloudEffect::changeCloudColor(this->cloudColor, 0);
+        CloudEffect::changeSkyColor(this->skyColor, 0);
+    }
 }
 
@@ -191,19 +187,19 @@
  * @brief deactivates the rain effect
  */
-void RainEffect::deactivate()
-{
-  PRINTF(0)("Deactivating RainEffect\n");
-
-  this->rainActivate = false;
-  this->emitter->setSystem(NULL);
-
-  // Stop Sound
-  this->soundSource.stop();
-
-  // Restore Light Ambient
-  lightMan->setAmbientColor(this->rainAmbient, this->rainAmbient, this->rainAmbient);
-  
-  CloudEffect::changeCloudColor(this->oldCloudColor, this->rainFadeOutDuration);
-  CloudEffect::changeSkyColor(this->oldSkyColor, this->rainFadeOutDuration);
+void RainEffect::deactivate() {
+    PRINTF(3)("Deactivating RainEffect\n");
+
+    this->rainActivate = false;
+    this->rainFadeInActivate = false;
+    this->rainFadeOutActivate = false;
+
+    this->emitter->setSystem(NULL);
+
+    // Stop Sound
+    this->soundSource.stop();
+
+    // Restore the old cloud- and sky color
+    CloudEffect::changeCloudColor(this->oldCloudColor, 0);
+    CloudEffect::changeSkyColor(this->oldSkyColor, 0);
 }
 
@@ -212,68 +208,65 @@
  * @param dt: tick float
  */
-void RainEffect::tick (float dt)
-{
-  if (!this->rainActivate)
-    return;
-
-  if (this->rainMove)
-  {
-    this->rainCoord = State::getCameraNode()->getAbsCoor();
-    this->emitter->setRelCoor(this->rainCoord.x , this->rainCoord.y+800, this->rainCoord.z);
-  }
-
-  if (this->rainFadeInDuration != 0 && this->localTimer < this->rainFadeInDuration)
-  {
-    this->localTimer += dt;
-    float progress = this->localTimer / this->rainFadeInDuration;
-
-    // Dim Light
-    lightMan->setAmbientColor(1 - progress * 0.9, 1 - progress * 0.9, 1 - progress * 0.9);
-
-    // use alpha in color to fade in
-    RainEffect::rainParticles->setColor(0,   0.3, 0.3, 0.5, 0.2 * progress); // grey blue 1
-    RainEffect::rainParticles->setColor(0.5, 0.4, 0.4, 0.5, 0.2 * progress); // grey blue 2
-    RainEffect::rainParticles->setColor(1,   0.7, 0.7, 0.7, 0.2 * progress); // light grey
-
-    // increase radius for more "heavy" rain
-    RainEffect::rainParticles->setRadius(0, 0.03 * progress);
-    RainEffect::rainParticles->setRadius(0.2, 0.02 * progress);
-    RainEffect::rainParticles->setRadius(1, 0.01 * progress);
-
-    // increase sound volume
-    if (!this->soundSource.isPlaying())
-      this->soundSource.play(this->rainBuffer, this->soundRainVolume, true);
-
-    this->soundSource.gain(this->rainBuffer, this->soundRainVolume * progress);
-  }
-  else if ( this->rainFadeOutDuration != 0 )
-  {
-    if ( this->localTimer < this->rainFadeOutDuration )
-    {
-      this->localTimer += dt;
-      float progress = 1 - (this->localTimer / this->rainFadeOutDuration);
-
-      // Fade In Light
-      lightMan->setAmbientColor(1 - progress * 0.9, 1 - progress * 0.9, 1 - progress * 0.9);
-
-      // use alpha in color to fade out
-      RainEffect::rainParticles->setColor(0,   0.3, 0.3, 0.5, 0.2 * progress); // grey blue 1
-      RainEffect::rainParticles->setColor(0.5, 0.4, 0.4, 0.5, 0.2 * progress); // grey blue 2
-      RainEffect::rainParticles->setColor(1,   0.7, 0.7, 0.7, 0.2 * progress); // light grey
-
-      // decrease radius
-      RainEffect::rainParticles->setRadius(0, 0.03 * progress);
-      RainEffect::rainParticles->setRadius(0.2, 0.02 * progress);
-      RainEffect::rainParticles->setRadius(1, 0.01 * progress);
-
-      // decrease sound volume
-      if (!this->soundSource.isPlaying())
-        this->soundSource.play(this->rainBuffer, this->soundRainVolume, true);
-
-      this->soundSource.gain(this->rainBuffer, this->soundRainVolume * progress);
-    }
-    else
-      this->deactivate();
-  }
+void RainEffect::tick (float dt) {
+    if (!this->rainActivate)
+        return;
+
+    if (this->rainMove) {
+        this->rainCoord = State::getCameraNode()->getAbsCoor();
+        this->emitter->setRelCoor(this->rainCoord.x , this->rainCoord.y+800, this->rainCoord.z);
+    }
+
+    if (this->rainFadeInActivate) {
+        PRINTF(4)("tick fading IN RainEffect\n");
+
+        this->localTimer += dt;
+        float progress = this->localTimer / this->rainFadeInDuration;
+
+        // use alpha in color to fade in rain
+        RainEffect::rainParticles->setColor(0,   0.3, 0.3, 0.5, 0.2 * progress); // grey blue 1
+        RainEffect::rainParticles->setColor(0.5, 0.4, 0.4, 0.5, 0.2 * progress); // grey blue 2
+        RainEffect::rainParticles->setColor(1,   0.7, 0.7, 0.7, 0.2 * progress); // light grey
+
+        // increase radius for more "heavy" rain
+        RainEffect::rainParticles->setRadius(0, 0.03 * progress);
+        RainEffect::rainParticles->setRadius(0.2, 0.02 * progress);
+        RainEffect::rainParticles->setRadius(1, 0.01 * progress);
+
+        // increase sound volume
+        if (!this->soundSource.isPlaying())
+            this->soundSource.play(this->rainBuffer, this->soundRainVolume, true);
+        this->soundSource.gain(this->rainBuffer, this->soundRainVolume * progress);
+
+        if (progress >= 1)
+            this->rainFadeInActivate = false;
+    }
+
+    if (this->rainFadeOutActivate) {
+        PRINTF(4)("tick fading OUT RainEffect\n");
+
+        this->localTimer += dt;
+        float progress = 1 - (this->localTimer / this->rainFadeOutDuration);
+
+        // use alpha in color to fade out
+        RainEffect::rainParticles->setColor(0,   0.3, 0.3, 0.5, 0.2 * progress); // grey blue 1
+        RainEffect::rainParticles->setColor(0.5, 0.4, 0.4, 0.5, 0.2 * progress); // grey blue 2
+        RainEffect::rainParticles->setColor(1,   0.7, 0.7, 0.7, 0.2 * progress); // light grey
+
+        // decrease radius
+        RainEffect::rainParticles->setRadius(0, 0.03 * progress);
+        RainEffect::rainParticles->setRadius(0.2, 0.02 * progress);
+        RainEffect::rainParticles->setRadius(1, 0.01 * progress);
+
+        // decrease sound volume
+        if (!this->soundSource.isPlaying())
+            this->soundSource.play(this->rainBuffer, this->soundRainVolume, true);
+        this->soundSource.gain(this->rainBuffer, this->soundRainVolume * progress);
+
+        if (progress <= 0) {
+            PRINTF(4)("tick fading OUT RainEffect COMPLETED! Deactivating...\n");
+            this->rainFadeOutActivate = false;
+            this->deactivate();
+        }
+    }
 }
 
@@ -281,16 +274,19 @@
  * @brief starts raining slowly
 */
-void RainEffect::startRaining()
-{
-
-  if (this->rainActivate)
-    this->deactivate();
-
-  if (!this->rainFadeInDuration > 0)
-    this->rainFadeInDuration = 10;
-
-  this->localTimer = 0;
-
-  this->activate();
+void RainEffect::startRaining() {
+    PRINTF(4)("startRaining function;\n");
+
+    // If it is already raining, do nothing
+    if (this->rainActivate)
+        return;
+
+    this->localTimer = 0;
+    this->rainFadeInActivate = true;
+
+    PRINTF(4)("startRaining function complete; fadedur: %f\n", this->rainFadeInDuration);
+    this->activate();
+
+    CloudEffect::changeCloudColor(this->cloudColor, this->rainFadeInDuration);
+    CloudEffect::changeSkyColor(this->skyColor, this->rainFadeInDuration);
 }
 
@@ -298,14 +294,18 @@
  * @brief stops raining slowly
  */
-void RainEffect::stopRaining()
-{
-
-  if (!this->rainActivate)
-    this->activate();
-
-  if (!this->rainFadeOutDuration > 0)
-    this->rainFadeOutDuration = 10;
-
-  this->localTimer = 0;
+void RainEffect::stopRaining() {
+    PRINTF(4)("stopRaining function;\n");
+
+    // If it is not raining, do nothing
+    if (!this->rainActivate)
+        return;
+
+    this->localTimer = 0;
+    this->rainFadeOutActivate = true;
+
+    PRINTF(4)("stopRaining function completed; fadedur: %f\n", this->rainFadeOutDuration);
+
+    CloudEffect::changeCloudColor(this->oldCloudColor, this->rainFadeOutDuration);
+    CloudEffect::changeSkyColor(this->oldSkyColor, this->rainFadeOutDuration);
 }
 
@@ -313,7 +313,6 @@
  * @brief hides the rain
  */
-void RainEffect::hideRain()
-{
-  RainEffect::rainParticles->setColor(0, 0,0,0, 0);
-  RainEffect::rainParticles->setColor(0, 0,0,0, 0);
-}
+void RainEffect::hideRain() {
+    RainEffect::rainParticles->setColor(0, 0,0,0, 0);
+    RainEffect::rainParticles->setColor(0, 0,0,0, 0);
+}
Index: branches/mountain_lake/src/lib/graphics/effects/rain_effect.h
===================================================================
--- branches/mountain_lake/src/lib/graphics/effects/rain_effect.h	(revision 8903)
+++ branches/mountain_lake/src/lib/graphics/effects/rain_effect.h	(revision 8905)
@@ -86,5 +86,5 @@
     this->rainFadeOutDuration = fadeout;
   }
-  
+
   inline void setCloudColor(float colorX, float colorY, float colorZ)
   {
@@ -113,4 +113,6 @@
   GLfloat                     rainFadeInDuration;
   GLfloat                     rainFadeOutDuration;
+  bool                        rainFadeInActivate;
+  bool                        rainFadeOutActivate;
 
   Vector                      rainCoord;
@@ -130,7 +132,4 @@
   float                       soundRainVolume;
 
-  LightManager*               lightMan;
-  GLfloat                     rainAmbient;
-  
   Vector oldSkyColor;
   Vector oldCloudColor;
Index: branches/mountain_lake/src/lib/graphics/effects/snow_effect.cc
===================================================================
--- branches/mountain_lake/src/lib/graphics/effects/snow_effect.cc	(revision 8903)
+++ branches/mountain_lake/src/lib/graphics/effects/snow_effect.cc	(revision 8905)
@@ -117,5 +117,5 @@
 void SnowEffect::activate()
 {
-	PRINTF(0)("Activating SnowEffect\n");
+	PRINTF(3)("Activating SnowEffect\n");
 
 	this->snowActivate = true;
@@ -149,5 +149,5 @@
 void SnowEffect::deactivate()
 {
-	PRINTF(0)("Deactivating SnowEffect\n");
+	PRINTF(3)("Deactivating SnowEffect\n");
 
 	this->snowActivate = false;
Index: branches/mountain_lake/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- branches/mountain_lake/src/lib/graphics/effects/volfog_effect.cc	(revision 8903)
+++ branches/mountain_lake/src/lib/graphics/effects/volfog_effect.cc	(revision 8905)
@@ -74,5 +74,5 @@
 
 void VolFogEffect::init() {
-    PRINTF(0)("Initalize VolFogEffect\n");
+    PRINTF(3)("Initalize VolFogEffect\n");
 
     // set fog mode
@@ -108,19 +108,19 @@
 
     if (glewInit() == GLEW_OK)
-        PRINTF(0)("glewInit OK\n");
+        PRINTF(4)("glewInit OK\n");
     else
-        PRINTF(0)("glewInit failed\n");
+        PRINTF(4)("glewInit failed\n");
 
     if (glewGetExtension("GL_EXT_fog_coord"))
-        PRINTF(0)("GL_EXT_fog_coord extension found\n");
+        PRINTF(4)("GL_EXT_fog_coord extension found\n");
 }
 
 
 void VolFogEffect::activate() {
-    PRINTF(0)("Activating VolFogEffect\n");
+    PRINTF(3)("Activating VolFogEffect\n");
 }
 
 void VolFogEffect::deactivate() {
-    PRINTF(0)("Deactivating VolFogEffect\n");
+    PRINTF(3)("Deactivating VolFogEffect\n");
 
     glDisable(GL_FOG);