Index: code/branches/gamecontent/data/levels/missionOne.oxw
===================================================================
--- code/branches/gamecontent/data/levels/missionOne.oxw	(revision 8909)
+++ code/branches/gamecontent/data/levels/missionOne.oxw	(revision 8910)
@@ -80,11 +80,8 @@
             <events>
                 <execute>
-                    <EventListener event=flying4 />
+                    <EventListener event="flying4" />
                 </execute>
             </events>
         </QuestEffectBeacon>
-
-<!-- //TODO: end navigation quest -->
-
 
         <QuestEffectBeacon times=1>
@@ -99,4 +96,6 @@
         </QuestEffectBeacon>
 
+        <!-- //TODO: end weaponsystemI -->
+
         <QuestEffectBeacon times=1>
             <effects>
@@ -105,13 +104,14 @@
             <events>
                 <execute>
-                    <EventListener event=boxtrigger4 />
+                    <EventListener event="boxtrigger4" />
                 </execute>
             </events>
         </QuestEffectBeacon>
 
+
+
         <QuestEffectBeacon times=1>
             <effects>
                 <CompleteQuest questId="missionOne.weaponsystemII" />
-                <CompleteQuest questId="missionOne.weaponsystem" />
             </effects>
             <events>
@@ -176,5 +176,5 @@
 Space    : boost
 
-P.S: Whenever a new quest is added you can view it by pressing F3." failmessage="" completeMessage="" />
+P.S: Whenever a new quest is added you can view it by pressing F3. Quit via Esc." failmessage="" completeMessage="" />
         <complete-effects>
             <AddQuest questId="missionOne.navigation" />
@@ -187,42 +187,35 @@
 Alternative navigation: There's a the green circle in the left corner - the radar. The red dots on the radar represent your targets. If you manage to move your spaceship in a way such that a dot is at the center of the radar, you will be able to see the concerning object straight ahead." failmessage="" completeMessage="" />
         <complete-effects>
-            <AddQuest questId="missionOne.weaponsystem" />
             <AddQuest questId="missionOne.weaponsystemI" />
         </complete-effects>
     </LocalQuest>
 
-    <LocalQuest id="missionOne.weaponsystem">
-        <QuestDescription title="Weaponsystem" description="INSERT STORY HERE." failmessage="" completeMessage="All right." />
-        <subquests>
             <LocalQuest id ="missionOne.weaponsystemI">
-                <QuestDescription title="Destroy Boxes" description="Test your four different weapons on the four boxes. The four weapons are laser (left click), plasma (right click), self targeting rockets (middle click) and manual rockets (press 'T'). Attention if you use manual rockets: Press 'T' only once to start the rocket. If you miss your target you can get out of the rocket, by clicking or pressing 'T' once more." failmessage="" completeMessage="" />
+                <QuestDescription title="Destroy the Boxes" description="Test your four different weapons on the four boxes. The four weapons are laser (left click), plasma (right click), self targeting rockets (middle click) and manual rockets (press 'T'). Attention if you use manual rockets: Press 'T' only once to start the rocket. If you miss your target you can get out of the rocket, by clicking or pressing 'T' once more." failmessage="" completeMessage="" />
+                    <hints>
+                        <QuestHint id="missionOne.weaponsystem.laser">
+                            <QuestDescription title="Laser" description="The laser is a standard weapon. It is fast and precise but does not deal much damage." />
+                        </QuestHint>
+                        <QuestHint id="missionOne.weaponsystem.lightningGun">
+                            <QuestDescription title="Lightninggun" description="That was the lightning gun. Its plasma munition is quite slow, but a normal spaceship can't take more than three hits of such a strong weapon. That could be your favourite weapon for close range combat or if you want to hit a really slow enemy." />
+                        </QuestHint>
+                        <QuestHint id="missionOne.weaponsystem.targetSeekingRocket">
+                            <QuestDescription title="Target Seeking Rocket" description="The target seeking rockets follow slow targets on their own." />
+                        </QuestHint>
+                        <QuestHint id="missionOne.weaponsystem.manualrocket">
+                            <QuestDescription title="Manual Rocket" description="Manual rockets are your most powerful weapon. But since you have to steer it to your target yourself, you will leave your spaceship unprotected for a while. The total amount of both manual and target seeking rockets is limited to 10." />
+                        </QuestHint>
+                    </hints>
                 <complete-effects>
                     <AddQuest questId="missionOne.weaponsystemII" />
                 </complete-effects>
             </LocalQuest>
+
             <LocalQuest id="missionOne.weaponsystemII">
-                <QuestDescription title="" description="" failmessage="" completeMessage="" />
+                <QuestDescription title="Kill the pirates" description="Get rid of the patrolling pirates." failmessage="" completeMessage="" />
                 <complete-effects>
                     <AddQuest questId="missionOne.DuballStation" />
                 </complete-effects>
             </LocalQuest>
-        </subquests>
-        <hints>
-            <QuestHint id="missionOne.weaponsystem.laser">
-              <QuestDescription title="Laser" description="The laser is a standard weapon. It is fast and precise but does not deal much damage." />
-            </QuestHint>
-            <QuestHint id="missionOne.weaponsystem.lightningGun">
-              <QuestDescription title="Lightninggun" description="That was the lightning gun. Its plasma munition is quite slow, but a normal spaceship can't take more than three hits of such a strong weapon. That could be your favourite weapon for close range combat or if you want to hit a really slow enemy." />
-            </QuestHint>
-            <QuestHint id="missionOne.weaponsystem.targetSeekingRocket">
-              <QuestDescription title="Target Seeking Rocket" description="The target seeking rockets follow slow targets on their own." />
-            </QuestHint>
-            <QuestHint id="missionOne.weaponsystem.manualrocket">
-              <QuestDescription title="Manual Rocket" description="Manual rockets are your most powerful weapon. But since you have to steer it to your target yourself, you will leave your spaceship unprotected for a while. The total amount of both manual and target seeking rockets is limited to 10." />
-            </QuestHint>
-        </hints>
-        <complete-effects>
-        </complete-effects>
-    </LocalQuest>
 
     <LocalQuest id="missionOne.DuballStation">
@@ -234,5 +227,7 @@
 
     <LocalQuest id="missionOne.getHelp">
-        <QuestDescription title="Get Help" description="There are enemies approaching. You can't handle it on your own. Fortunately there's a shortcut to the next friendly unit. Use the portal (grey dot) to get near the Hydrogen Farmer. There you might get help - as far as we know there should be a stronger spaceship docked to the Hydrogen Farmer. In order to be able to use that stronger spaceship you have to dock to the Hydrogen Farmer. Simply fly to the center of the Hydrogen Farmer, which is between its three legs." failmessage="" completeMessage="" />
+        <QuestDescription title="Get Help" description="There are several enemies approaching. You can't handle it on your own. Fortunately there's a shortcut to the next friendly unit. Use the portal (grey dot) to get near the Hydrogen Farmer.
+        There you might get help - as far as we know there should be a stronger spaceship docked to the Hydrogen Farmer. In order to be able to use that stronger spaceship, you have to dock to the Hydrogen Farmer.
+        Simply fly to the center of the Hydrogen Farmer, which is between its three legs." failmessage="" completeMessage="" />
         <complete-effects>
             <AddQuest questId="missionOne.getHome" />
@@ -241,5 +236,6 @@
 
     <LocalQuest id="missionOne.getHome">
-        <QuestDescription title="Return ASAP" description="" failmessage="" completeMessage="Well done." />
+        <QuestDescription title="Return ASAP" description="So you managed to get the spacecruiser. Use the portal to return to the DuBall Space Station.
+        Hurry! Your help is desperately needed." failmessage="" completeMessage="" />
         <complete-effects>
             <AddQuest questId="missionOne.defence" />
@@ -248,21 +244,7 @@
 
     <LocalQuest id="missionOne.defence">
-        <QuestDescription title="Defence" description="" failmessage="" completeMessage="Yeah! You did it." />
+        <QuestDescription title="Defence" description="Seven enemies were detected that seem to launch a coordinated attack. Do not hesitate to attack or you will be the target.
+        Always take care of the enemy that is the closest to you." failmessage="" completeMessage="Yeah! You did it." />
     </LocalQuest>
-
-
-        <!--QuestEffectBeacon position="800,700,600" times="1">
-            <effects>
-                <AddQuest questId="missionOne.basicFlying" />
-            </effects>
-            <events>
-                <execute>
-                    <EventListener event="questStart"/>
-                </execute>
-            </events>
-            <attached>
-                <DistanceTrigger name="questStart" position="0,0,0" distance="50" target="Pawn" beaconMode="identify" targetname="PlayerDistanceTrigger" delay="2" />
-            </attached>
-        </QuestEffectBeacon-->
 
 
@@ -328,9 +310,10 @@
         </events>
     </SimpleNotification>
-<!-- QUEST-Trigger && Message Trigger -->
-    <DistanceTrigger name="navigationend" position="0,0,0" distance=800 target="ControllableEntity" stayActive="false" delay=1.1>
+<!-- QUEST-Trigger && Message Trigger: navigationend is activated after flying4 was triggered -->
+    <DistanceTrigger name="navigationend" position="0,0,0" distance=950 target="SpaceShip" stayActive="false" delay=1.1>
         <DistanceTrigger name="flying4" position="-900,640,600" target="Pawn" distance=60 stayActive="true" delay=1/>
     </DistanceTrigger>
 
+
     <SimpleNotification message="Three red arrows just appeared.">
         <events>
@@ -346,12 +329,4 @@
             <trigger>
                 <EventListener event="flying5" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <SimpleNotification message="navigationend triggered! But why already yet?" broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="navigationend" />
             </trigger>
         </events>
@@ -646,5 +621,5 @@
         <Model scale=13 mesh="DuBall2.mesh" position = "100,0,0"/>
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
-        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>        
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
       </attached>
       <collisionShapes>
@@ -791,5 +766,5 @@
     </SimpleNotification>
 
-<!-------------------------------------- PART FOUR : Get Help --------------------------------------->   
+<!-------------------------------------- PART FOUR : Get Help --------------------------------------->
     <DistanceTrigger name="famer1" position="-48200,100,0" target="Pawn" distance=650 stayActive="true" delay=0 />
     <SimpleNotification message="We just received a message from DuBall.">
@@ -998,5 +973,5 @@
     >
       <!--attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-50" /> 
+        <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-50" />
       </attached-->  <!-- Forcefield kills HYDROGEN FARMER-->
       <collisionShapes>
@@ -1010,5 +985,5 @@
 <!-- TODO:
      - update spaceshipTransporter
-     - bots do friendly fire (is drone function reusable?) 
+     - bots do friendly fire (is drone function reusable?)
 -->
 
@@ -1445,5 +1420,5 @@
   </Scene>
 </Level>
-<!-- TODO: 
+<!-- TODO:
 ! Quest Interface
 - Foolproof text messages (e.g. verspätete Nachrichten unterdrücken)