Index: /code/branches/spaceraceTwo/src/modules/gametypes/CMakeLists.txt
===================================================================
--- /code/branches/spaceraceTwo/src/modules/gametypes/CMakeLists.txt	(revision 8910)
+++ /code/branches/spaceraceTwo/src/modules/gametypes/CMakeLists.txt	(revision 8911)
@@ -2,4 +2,5 @@
   SpaceRace.cc
   RaceCheckPoint.cc
+  SpaceRaceManager.cc
 )
 
Index: /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRace.cc
===================================================================
--- /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRace.cc	(revision 8910)
+++ /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRace.cc	(revision 8911)
@@ -29,4 +29,6 @@
 #include "SpaceRace.h"
 
+#include "items/Engine.h"
+
 #include "core/CoreIncludes.h"
 #include "chat/ChatManager.h"
@@ -46,5 +48,5 @@
         this->bTimeIsUp_ = false;
         this->numberOfBots_ = 0;
-        
+        this->cantMove_=false;
     }
     
@@ -88,44 +90,47 @@
 
     void SpaceRace::start()
-    {	int i=0;
-        for(ObjectList<Engine>::iterator it = ObjectList<Engine>::begin(); it; ++it)
-        {this->maxSpeedBack_[i]=it->getMaxSpeedBack();
-        this->maxSpeedFront_[i]=it->getMaxSpeedFront();
-        this->maxSpeedLeftRight_[i]=it->getMaxSpeedLeftRight();
-        this->maxSpeedUpDown_[i]=(it->getMaxSpeedUpDown());
-        
-        it->setMaxSpeedBack(0);
-        it->setMaxSpeedFront(0);
-        it->setMaxSpeedLeftRight(0);
-        it->setMaxSpeedUpDown(0);
-        
-        i++;
-        }
-        //Gametype::start();
-        this->addBots(this->numberOfBots_);
-   this->spawnPlayersIfRequested();
-   
-   	
-       Gametype::checkStart();
-	
-	i=0;
-     for(ObjectList<Engine>::iterator it = ObjectList<Engine>::begin(); it; ++it)
-        {
-        it->setMaxSpeedBack(this->maxSpeedBack_[i]);
-         it->setMaxSpeedFront(this->maxSpeedFront_[i]);
-         it->setMaxSpeedLeftRight(this->maxSpeedLeftRight_[i]);
-         it->setMaxSpeedUpDown(this->maxSpeedUpDown_[i]);
-         i++;
-         
+    {
+  	  		   this->spawnPlayersIfRequested(); Gametype::checkStart(); 
+  	  		   this->cantMove_=true; 
+    	 
+    	         for(ObjectList<Engine>::iterator it = ObjectList<Engine>::begin(); it; ++it) 
+	  		        {if(it->getMaxSpeedFront()>0){this->maxSpeedBack_=it->getMaxSpeedBack(); 
+  	  		        this->maxSpeedFront_=it->getMaxSpeedFront(); 
+  	  		        this->maxSpeedLeftRight_=it->getMaxSpeedLeftRight(); 
+  	  		        this->maxSpeedUpDown_=(it->getMaxSpeedUpDown()); 
+  	  		         }
+  	  		        it->setMaxSpeedBack(0); 
+  	  		        it->setMaxSpeedFront(0); 
+  	  	        it->setMaxSpeedLeftRight(0); 
+  	  		        it->setMaxSpeedUpDown(0); 
+  	  		         
+  	  		        
+  	  		        } 
+  	  		       
+  	  		       this->addBots(this->numberOfBots_); 
+       
+    }
+    
+    void SpaceRace::tick(float dt){
+    SUPER(SpaceRace,tick,dt);
+    
+    if(!this->isStartCountdownRunning() && this->cantMove_){
+    
+    	for(ObjectList<Engine>::iterator it = ObjectList<Engine>::begin(); it; ++it) 
+  	  		        { 
+  	  		        it->setMaxSpeedBack(this->maxSpeedBack_); 
+  	  		         it->setMaxSpeedFront(this->maxSpeedFront_); 
+  	  		         it->setMaxSpeedLeftRight(this->maxSpeedLeftRight_); 
+  	  		         it->setMaxSpeedUpDown(this->maxSpeedUpDown_); 
+  	  	}
+  	  	this->cantMove_= false;
+  	  	
+  	  	std::string message("The match has started! Reach the check points as quickly as possible!");
+        const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
+        ChatManager::message(message);	        
       
-        }
-		delete &this->maxSpeedBack_;
-		delete &this->maxSpeedFront_;
-		delete &this->maxSpeedLeftRight_;
-		delete &this->maxSpeedUpDown_;
-        std::string message("The match has started! Reach the check points as quickly as possible!");
-        const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
-        ChatManager::message(message);
-      
+    }
+     
+    
     }
 
Index: /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRace.h
===================================================================
--- /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRace.h	(revision 8910)
+++ /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRace.h	(revision 8911)
@@ -34,5 +34,5 @@
 #include <set>
 #include <string>
-#include <vector>
+# include <vector>
 
 #include <util/Clock.h>
@@ -69,7 +69,8 @@
 	void tick(float dt);
         protected:
-
+		
         private:
-	std::vector<float> maxSpeedBack_; std::vector<float> maxSpeedFront_; std::vector<float> maxSpeedLeftRight_; std::vector<float> maxSpeedUpDown_;
+	float maxSpeedBack_; float maxSpeedFront_; float maxSpeedLeftRight_; float maxSpeedUpDown_; 
+	bool cantMove_;
             int checkpointsReached_; //The current number of check points reached by the player.
             std::set<float> scores_; //The times of the players are saved in a set.
Index: /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.cc	(revision 8911)
+++ /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.cc	(revision 8911)
@@ -0,0 +1,70 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *     Mauro Salomon
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "SpaceRaceManager.h"
+
+
+#include "core/XMLPort.h"
+
+#include "core/CoreIncludes.h"
+
+#include "util/Convert.h"
+#include "util/Math.h"
+
+namespace orxonox
+{
+    CreateUnloadableFactory(SpaceRaceManager);
+
+    SpaceRaceManager::SpaceRaceManager(BaseObject* creator) : BaseObject(creator)
+    {
+        RegisterObject(SpaceRaceManager);
+        
+        
+    }
+
+   
+     void SpaceRaceManager::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(SpaceRaceManager, XMLPort, xmlelement, mode);
+
+        //XMLPortParam(WaypointController, "accuracy", setAccuracy, getAccuracy, xmlelement, mode).defaultValues(100.0f);
+        //XMLPortObject(WaypointController, WorldEntity, "waypoints", addWaypoint, getWaypoint,  xmlelement, mode);
+    }
+    
+    void SpaceRaceManager::tick(float dt)
+    {
+    SUPER(SpaceRaceManager,tick,dt);
+            
+    }
+     
+    
+    
+
+    
+
+}
Index: /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.h
===================================================================
--- /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.h	(revision 8911)
+++ /code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.h	(revision 8911)
@@ -0,0 +1,69 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Mauro Salomon
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _SpaceRaceManager_H__
+#define _SpaceRaceManager_H__
+
+#include "gametypes/GametypesPrereqs.h"
+
+#include <set>
+#include <string>
+# include <vector>
+
+#include <util/Clock.h>
+
+#include "gametypes/Gametype.h"
+#include "tools/interfaces/Tickable.h"
+#include "RaceCheckPoint.h"
+
+namespace orxonox
+{
+  /**
+  @brief
+    The SpaceRaceManager class controls a space race level, where the player has to reach check points in a given order.
+  */
+    class _GametypesExport SpaceRaceManager : public BaseObject, public Tickable
+    {
+        friend class RaceCheckPoint;
+	
+
+        public:
+            SpaceRaceManager(BaseObject* creator);
+            virtual ~SpaceRaceManager() {}
+
+           void XMLPort(Element& xmlelement, XMLPort::Mode mode); 
+
+            
+	void tick(float dt);
+        protected:
+		
+        private:
+ };
+}
+
+#endif /* _SpaceRaceManager_H__ */